OrçaFascio - API Pública
Home
Suporte Técnico
Home
Suporte Técnico
Instagram
  1. Grupos
  • Iniciando a integração
    • Introdução
    • Iniciando
    • Erros
    • Catálogo de tipo e unidade das base de referência
  • OrçaFascio API
    • v1
      • Autenticação
        • Login
      • Grupos
        • Listar grupos
        • Consultar grupo
        • Criar grupo
        • Atualizar grupo
        • Deletar grupo
      • Insumos
        • Listar insumos
        • Consultar por código
        • Criar insumo
        • Atualizar insumo
        • Deletar insumo
      • Composições
        • Listar composições
        • Consultar composiçao
        • Consultar composição por código
        • Criar Composição (Modelo SINAPI)
        • Criar composição (Modelo SICRO)
        • Atualizar composição (Modelo SINAPI)
        • Atualizar composição (Modelo SICRO)
        • Deletar composição
        • Editar Bancos
        • Adicionar itens da composição
        • Remover itens da composição
      • Orçamentos
        • Listar orçamentos
      • Relatórios
        • Sintético
        • Composições Analíticas com Preço Unitário
    • v2
      • Autenticação
        • Autentica e devolve o token de acesso
      • Minha Base
        • Grupos
          • Lista de grupos
            GET
          • Cria um grupo
            POST
          • Detalhe de um grupo
            GET
          • Atualiza um grupo
            PATCH
          • Remove um grupo
            DELETE
        • Insumos
          • Lista de insumos
          • Cria um insumo
          • Busca insumo por código
          • Detalhe de um insumo
          • Atualiza um insumo
          • Remove um insumo
        • Composições
          • Lista de composições
          • Cria uma composição
          • Busca composição por código
          • Detalhe de uma composição
          • Atualiza uma composição
          • Remove uma composição
          • Adiciona bancos à composição
          • Adiciona itens à composição
          • Remove itens da composição
      • Orçamentos
        • Lista de orçamentos (paginada, filtrável, ordenável)
        • Detalhe de um orçamento
      • Relatórios
        • Relatório sintético
        • Curva ABC de insumos
        • Relatório analítico com preço unitário
  • Esquemas
    • Authentication
    • Relationship
    • Enum
    • ErrorObject
    • ErrorsDocument
    • ResourceInput
    • CompositionInput
  1. Grupos

Lista de grupos

Production Env
https://api.orcafascio.com/api
Production Env
https://api.orcafascio.com/api
GET
https://api.orcafascio.com/api
/public/v2/my_database/groups
Última modificação:2026-07-17 17:54:52
Responsável:Não configurado

Requisição

Authorization
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
Parâmetros de Consulta

Códigos de solicitação

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.orcafascio.com/api/public/v2/my_database/groups?page[number]=undefined&page[size]=undefined' \
--header 'Authorization: Bearer <token>'

Respostas

🟢200
application/vnd.api+json
Coleção de grupos
Bodyapplication/vnd.api+json

Exemplo
{
    "data": [
        {
            "type": "groups",
            "id": "6a26b3f8703efc1d57f81016",
            "attributes": {
                "description": "Test1",
                "created_at": "2026-06-08T09:22:16.232-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69fb7ad9d7883eedec204b76"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "66fc1b84e8a570286b6f8c32"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "6a046dcb3c6a4c2c58a2738c",
            "attributes": {
                "description": "TGVitória",
                "created_at": "2026-05-13T09:25:47.019-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69fa2e292ffd428ad655c25a"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5af5a2ca3676d5132a5c9723"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "6a0330d2dfdc7f61c917a57f",
            "attributes": {
                "description": "Serviço com aço - Teste Vitória",
                "created_at": "2026-05-12T10:53:22.921-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69fa2e292ffd428ad655c25a"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5af5a2ca3676d5132a5c9723"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69fe24e9946c22043ab7eeb7",
            "attributes": {
                "description": "Estrutura Metálica",
                "created_at": "2026-05-08T15:01:13.420-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69fb7ad9d7883eedec204b76"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "66fc1b84e8a570286b6f8c32"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69fce7e2cb2dd69ae98d6607",
            "attributes": {
                "description": "Aço",
                "created_at": "2026-05-07T16:28:34.372-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69fb7ad9d7883eedec204b76"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "66fc1b84e8a570286b6f8c32"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69f8d60b5627cd7e7357dc62",
            "attributes": {
                "description": "Serviço c/ aço.",
                "created_at": "2026-05-04T14:23:23.322-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "68af3dbe4c1eff57f47682bb"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5af5a2ca3676d5132a5c9723"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69e6305d1a7fae58c9962871",
            "attributes": {
                "description": "Serviço com aço",
                "created_at": "2026-04-20T10:55:41.275-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "68d301d1ea43e2c961a470ce"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "66fc1b84e8a570286b6f8c32"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69e27615698aeb0299ceaa97",
            "attributes": {
                "description": "serviço com aço",
                "created_at": "2026-04-17T15:04:05.602-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69de42251695a338915d268d"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "66fc1b84e8a570286b6f8c32"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69c3d8d3de647d735bc98924",
            "attributes": {
                "description": "ENCARGOS ESPECIFICOS",
                "created_at": "2026-03-25T09:45:07.932-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "59a3fd8e82697a04447f5920"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5f74a27a2325b43663bc72a5"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69b9976225f84aec4243d217",
            "attributes": {
                "description": "Alvenaria- MO",
                "created_at": "2026-03-17T15:03:14.872-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67feb2f61137e00a49322c73"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "69b01cf30c492586770fd7a0",
            "attributes": {
                "description": "Teste Izabel",
                "created_at": "2026-03-10T10:30:27.060-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "69a71aa6c2a97d00758cccac"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5af5a2ca3676d5132a5c9723"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "695c058a375db16310119e15",
            "attributes": {
                "description": " grupo serviço com aço",
                "created_at": "2026-01-05T15:40:10.564-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67feb2f61137e00a49322c73"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "693c1208bc44479b346a00e0",
            "attributes": {
                "description": "TESTE HENRIQUE",
                "created_at": "2025-12-12T10:00:56.492-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67feb28f44693f3d44322eae"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5be44ab83676d5483d89f7dc"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "6911c805d090dc0c1879f0f8",
            "attributes": {
                "description": "Coeficiente 1",
                "created_at": "2025-11-10T08:09:57.205-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "690e08c31a514efd8ec2398e"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5be44ab83676d5483d89f7dc"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "68ff5f2ab3327fe29fdabe41",
            "attributes": {
                "description": "teste caio",
                "created_at": "2025-10-27T09:01:46.263-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "68c80f917b3cd21e01ce6f12"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5be44ab83676d5483d89f7dc"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "68fa37de39515685f0ac4510",
            "attributes": {
                "description": "Teste de Insumo abv",
                "created_at": "2025-10-23T11:12:46.114-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67ee9038ee93efe2bdac9f09"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "68fa3784f67f82655aac4d2b",
            "attributes": {
                "description": "Teste de Insumo",
                "created_at": "2025-10-23T11:11:16.380-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67ee9038ee93efe2bdac9f09"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "68e549fd01f3366267f2e237",
            "attributes": {
                "description": "TGCMarcelo",
                "created_at": "2025-10-07T14:12:29.961-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "68e3d520d6f627e7b027526b"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "66fc1b84e8a570286b6f8c32"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "68cd406f88b316d0d3b6d9c1",
            "attributes": {
                "description": "Grupo Rodolfo para apresetanção",
                "created_at": "2025-09-19T08:37:19.914-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "68a5dbe0404e541156297c44"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cae2163051f548646034a"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "689debb0bf4300fce09468ea",
            "attributes": {
                "description": "doisteste",
                "created_at": "2025-08-14T10:59:12.198-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "6720e55bbb22090ee56b0d98"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "55e75c5866616209ac040000"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "689c779e7f6d04dc8f1a8548",
            "attributes": {
                "description": "PAINÉIS, BRISES E ACM'S",
                "created_at": "2025-08-13T08:31:42.598-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67ee9038ee93efe2bdac9f09"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "685e9180cd7ed072a3250e99",
            "attributes": {
                "description": "Mateirais - 27/06",
                "created_at": "2025-06-27T09:41:36.932-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "678e9e8cfa7f2d220d478ca5"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5f74a27a2325b43663bc72a5"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "68078940cd462c3f36dc1fe9",
            "attributes": {
                "description": "TESTE GUIADO",
                "created_at": "2025-04-22T09:19:12.191-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67feb28f44693f3d44322eae"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "6800faefad8a998ac393debd",
            "attributes": {
                "description": "TREINAMENTO guiado nivel 1",
                "created_at": "2025-04-17T09:58:23.922-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67feb2f61137e00a49322c73"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "67f3d0b7d31f54fe0220aac4",
            "attributes": {
                "description": "Teste Leonardo Suporte",
                "created_at": "2025-04-07T10:18:47.865-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67ee9038ee93efe2bdac9f09"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "67d8344efe1e22dceae7db13",
            "attributes": {
                "description": "treinamento guiado nivel 1",
                "created_at": "2025-03-17T11:40:14.007-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67d031b9fa7f2d8a911b8654"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "67d8342520ccdb8c1ae80f52",
            "attributes": {
                "description": "Treinamento Guiado Nível 1",
                "created_at": "2025-03-17T11:39:33.012-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "67d031b9fa7f2d8a911b8654"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb0f363051f548cea9e74"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "67b5c73797174c0955817c74",
            "attributes": {
                "description": "Madeira",
                "created_at": "2025-02-19T08:57:43.489-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "678e9e8cfa7f2d220d478ca5"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5f74a27a2325b43663bc72a5"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "679239c718e19bd653edc4a2",
            "attributes": {
                "description": "Marmore",
                "created_at": "2025-01-23T09:44:55.671-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "64d29d2e85c84291584b2c3c"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5af5a2ca3676d5132a5c9723"
                    }
                }
            }
        },
        {
            "type": "groups",
            "id": "67890183d023aabcb8b410ac",
            "attributes": {
                "description": "UP-000 - PAISAGISMO",
                "created_at": "2025-01-16T09:54:27.806-03:00"
            },
            "relationships": {
                "user": {
                    "data": {
                        "type": "users",
                        "id": "66d75106bf003f066faab842"
                    }
                },
                "sector": {
                    "data": {
                        "type": "sectors",
                        "id": "5d8cb01763051f5480b638bd"
                    }
                }
            }
        }
    ],
    "meta": {
        "total": 74
    },
    "links": {
        "self": "/api/public/v2/my_database/groups?page[number]=1&page[size]=30",
        "first": "/api/public/v2/my_database/groups?page[number]=1&page[size]=30",
        "prev": null,
        "next": "/api/public/v2/my_database/groups?page[number]=2&page[size]=30",
        "last": "/api/public/v2/my_database/groups?page[number]=3&page[size]=30"
    }
}
🟠401Não autenticado
🟠401
🟠401
Modificado em 2026-07-17 17:54:52
Página anterior
Autentica e devolve o token de acesso
Próxima página
Cria um grupo